
From: Dominik Brodowski <linux@dominikbrodowski.de>

Add a pointer to the "client" structure to struct pcmcia_device.

Signed-off-by: Dominik Brodowski <linux@brodo.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/pcmcia/ds.c |    1 +
 25-akpm/include/pcmcia/ds.h |    2 ++
 2 files changed, 3 insertions(+)

diff -puN drivers/pcmcia/ds.c~pcmcia-add-a-pointer-to-client-in-struct-pcmcia_device drivers/pcmcia/ds.c
--- 25/drivers/pcmcia/ds.c~pcmcia-add-a-pointer-to-client-in-struct-pcmcia_device	Mon Dec 13 14:38:51 2004
+++ 25-akpm/drivers/pcmcia/ds.c	Mon Dec 13 14:38:51 2004
@@ -704,6 +704,7 @@ static int bind_request(struct pcmcia_bu
 	p_dev->socket = s->parent;
 	p_dev->device_no = (s->device_count++);
 	p_dev->func   = bind_info->function;
+	p_dev->client = client;
 
 	p_dev->dev.bus = &pcmcia_bus_type;
 	p_dev->dev.parent = s->parent->dev.dev;
diff -puN include/pcmcia/ds.h~pcmcia-add-a-pointer-to-client-in-struct-pcmcia_device include/pcmcia/ds.h
--- 25/include/pcmcia/ds.h~pcmcia-add-a-pointer-to-client-in-struct-pcmcia_device	Mon Dec 13 14:38:51 2004
+++ 25-akpm/include/pcmcia/ds.h	Mon Dec 13 14:38:51 2004
@@ -128,6 +128,7 @@ typedef struct dev_link_t {
 
 
 struct pcmcia_socket;
+struct client_t;
 
 extern struct bus_type pcmcia_bus_type;
 
@@ -158,6 +159,7 @@ struct pcmcia_device {
 	/* deprecated, a cleaned up version will be moved into this
 	   struct soon */
 	dev_link_t		*instance;
+	struct client_t		*client;
 
 	struct device		dev;
 };
_
